## git-lfs 2.5.0

=== Makefile ===
# GIT_LFS_SHA is the '--short'-form SHA1 of the current revision of Git LFS.
GIT_LFS_SHA ?= $(shell git rev-parse --short HEAD)
# VERSION is the longer-form describe output of the current revision of Git LFS,
# used for identifying intermediate releases.
#
# If Git LFS is being built for a published release, VERSION and GIT_LFS_SHA
# should be identical.
VERSION ?= $(shell git describe HEAD)

# GO is the name of the 'go' binary used to compile Git LFS.
GO ?= go

# GO_TEST_EXTRA_ARGS are extra arguments given to invocations of 'go test'.
#
# Examples include:
#
# 	make test GO_TEST_EXTRA_ARGS=-v
# 	make test GO_TEST_EXTRA_ARGS='-run TestMyExample'
GO_TEST_EXTRA_ARGS =

# BUILTIN_LD_FLAGS are the internal flags used to pass to the linker. By default
# the config.GitCommit variable is always set via this variable, and
# DWARF-stripping is enabled unless DWARF=YesPlease.
BUILTIN_LD_FLAGS =
BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
ifneq ("$(DWARF)","YesPlease")
BUILTIN_LD_FLAGS += -s
BUILTIN_LD_FLAGS += -w
endif
# EXTRA_LD_FLAGS are given by the caller, and are passed to the Go linker after
# BUILTIN_LD_FLAGS are processed.
EXTRA_LD_FLAGS =
# LD_FLAGS is the union of the above two BUILTIN_LD_FLAGS and EXTRA_LD_FLAGS.
LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)

# BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
BUILTIN_GC_FLAGS =
# EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
EXTRA_GC_FLAGS =
# GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)

# GLIDE is the name of the 'glide' binary used to manage vendored dependencies.
GLIDE ?= glide

# RONN is the name of the 'ronn' program used to generate man pages.
RONN ?= ronn
# RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
RONN_EXTRA_ARGS ?=

# GREP is the name of the program used for regular expression matching, or
# 'grep' if unset.
GREP ?= grep
# RM is the name of the program used removing files, or 'rm -f' if unset.
RM ?= rm -f
# XARGS is the name of the program used to turn stdin into program arguments, or
# 'xargs' if unset.
XARGS ?= xargs

# GOIMPORTS is the name of the program formatter used before compiling.
GOIMPORTS ?= goimports
# GOIMPORTS_EXTRA_OPTS are the default options given to the $(GOIMPORTS)
# program.
GOIMPORTS_EXTRA_OPTS ?= -w -l

# SOURCES is a listing of all .go files in this and child directories, excluding
# that in vendor.
SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
# PKGS is a listing of packages that are considered to be a part of Git LFS, and
# are used in package-specific commands, such as the 'make test' targets. For
# example:
#
# 	make test                               # run 'go test' in all packages
# 	make PKGS='config git/githistory' test  # run 'go test' in config and
# 	                                        # git/githistory
#
# By default, it is a listing of all packages in Git LFS. When new packages (or
# sub-packages) are created, they should be added here.
ifndef PKGS
PKGS =
PKGS += commands
PKGS += config
PKGS += errors
PKGS += filepathfilter
PKGS += fs
PKGS += git
PKGS += git/gitattr
PKGS += git/githistory
PKGS += git
PKGS += lfs
PKGS += lfsapi
PKGS += locking
PKGS += subprocess
PKGS += tasklog
PKGS += tools
PKGS += tools/humanize
PKGS += tools/kv
PKGS += tq
endif

# X is the platform-specific extension for Git LFS binaries. It is automatically
# set to .exe on Windows, and the empty string on all other platforms. It may be
# overridden.
#
# BUILD_MAIN is the main ".go" file that contains func main() for Git LFS. On
# macOS and other non-Windows platforms, it is required that a specific
# entrypoint be given, hence the below conditional. On Windows, it is required
# that an entrypoint not be given so that goversioninfo can successfully embed
# the resource.syso file (for more, see below).
ifeq ($(OS),Windows_NT)
X ?= .exe
BUILD_MAIN ?=
else
X ?=
BUILD_MAIN ?= ./git-lfs.go
endif

# BUILD is a macro used to build a single binary of Git LFS using the above
# LD_FLAGS and GC_FLAGS.
#
# It takes three arguments:
#
# 	$(1) - a valid GOOS value, or empty-string
# 	$(2) - a valid GOARCH value, or empty-string
# 	$(3) - an optional program extension. If $(3) is given as '-foo', then the
# 	       program will be written to bin/git-lfs-foo.
#
# It uses BUILD_MAIN as defined above to specify the entrypoint for building Git
# LFS.
BUILD = GOOS=$(1) GOARCH=$(2) \
	$(GO) build \
	-ldflags="$(LD_FLAGS)" \
	-gcflags="$(GC_FLAGS)" \
	-o ./bin/git-lfs$(3) $(BUILD_MAIN)

# BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
# built for.
BUILD_TARGETS = bin/git-lfs-darwin-amd64 bin/git-lfs-darwin-386 \
	bin/git-lfs-linux-amd64 bin/git-lfs-linux-386 \
	bin/git-lfs-freebsd-amd64 bin/git-lfs-freebsd-386 \
	bin/git-lfs-windows-amd64.exe bin/git-lfs-windows-386.exe

# Targets 'all' and 'build' build binaries of Git LFS for the above release
# matrix.
.PHONY : all build
all build : $(BUILD_TARGETS)

# The following bin/git-lfs-% targets make a single binary compilation of Git
# LFS for a specific operating system and architecture pair.
#
# They function by translating target names into arguments for the above BUILD
# builtin, and appending the appropriate suffix to the build target.
#
# On Windows, they also depend on the resource.syso target, which installs and
# embeds the versioninfo into the binary.
bin/git-lfs-darwin-amd64 : $(SOURCES)
	$(call BUILD,darwin,amd64,-darwin-amd64)
bin/git-lfs-darwin-386 : $(SOURCES)
	$(call BUILD,darwin,386,-darwin-386)
bin/git-lfs-linux-amd64 : $(SOURCES)
	$(call BUILD,linux,amd64,-linux-amd64)
bin/git-lfs-linux-386 : $(SOURCES)
	$(call BUILD,linux,386,-linux-386)
bin/git-lfs-freebsd-amd64 : $(SOURCES)
	$(call BUILD,freebsd,amd64,-freebsd-amd64)
bin/git-lfs-freebsd-386 : $(SOURCES)
	$(call BUILD,freebsd,386,-freebsd-386)
bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES)
	$(call BUILD,windows,amd64,-windows-amd64.exe)
bin/git-lfs-windows-386.exe : resource.syso $(SOURCES)
	$(call BUILD,windows,386,-windows-386.exe)

# .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
# default output of 'make'.
.DEFAULT_GOAL := bin/git-lfs$(X)

# bin/git-lfs targets the default output of Git LFS on non-Windows operating
# systems, and respects the build knobs as above.
bin/git-lfs : $(SOURCES) fmt
	$(call BUILD,$(GOOS),$(GOARCH),)

# bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
# respects the build knobs as above.
bin/git-lfs.exe : $(SOURCES) resource.syso
	$(call BUILD,$(GOOS),$(GOARCH),.exe)

# resource.syso installs the 'goversioninfo' command and uses it in order to
# generate a binary that has information included necessary to create the
# Windows installer.
resource.syso:
	@$(GO) get github.com/josephspurrier/goversioninfo/cmd/goversioninfo
	$(GO) generate

# RELEASE_TARGETS is the set of all release artifacts that we generate over a
# particular release. They each have a corresponding entry in BUILD_TARGETS as
# above.
#
# Unlike BUILD_TARGETS above, each of the below create a compressed directory
# containing the matching binary, as well as the contents of RELEASE_INCLUDES
# below.
#
# To build a specific release, execute the following:
#
# 	make bin/releases/git-lfs-darwin-amd64-$(git describe HEAD).tar.gz
#
# To build a specific release with a custom VERSION suffix, run the following:
#
# 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
RELEASE_TARGETS = bin/releases/git-lfs-darwin-amd64-$(VERSION).tar.gz \
	bin/releases/git-lfs-darwin-386-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
	bin/releases/git-lfs-windows-386-$(VERSION).zip

# RELEASE_INCLUDES are the names of additional files that are added to each
# release artifact.
RELEASE_INCLUDES = README.md CHANGELOG.md

# release is a phony target that builds all of the release artifacts, and then
# shows the SHA 256 signature of each.
#
# To build all of the release binaries for a given Git LFS release:
#
# 	make release
.PHONY : release
release : $(RELEASE_TARGETS)
	shasum -a 256 $(RELEASE_TARGETS)

# bin/releases/git-lfs-%-$(VERSION).tar.gz generates a gzip-compressed TAR of
# the non-Windows release artifacts.
#
# It includes all of RELEASE_INCLUDES, as well as script/install.sh.
bin/releases/git-lfs-%-$(VERSION).tar.gz : \
$(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
	@mkdir -p bin/releases
	tar -s '!bin/git-lfs-.*!git-lfs!' -s '!script/!!' -czf $@ $^

# bin/releases/git-lfs-%-$(VERSION).zip generates a ZIP compression of all of
# the Windows release artifacts.
#
# It includes all of the RELEASE_INCLUDES, and converts LF-style line endings to
# CRLF in the non-binary components of the artifact.
bin/releases/git-lfs-%-$(VERSION).zip : $(RELEASE_INCLUDES) bin/git-lfs-%.exe
	@mkdir -p bin/releases
	zip -j -l $@ $^

# TEST_TARGETS is a list of all phony test targets. Each one of them corresponds
# to a specific kind or subset of tests to run.
TEST_TARGETS := test-bench test-verbose test-race
.PHONY : $(TEST_TARGETS) test
$(TEST_TARGETS) : test

# test-bench runs all Go benchmark tests, and nothing more.
test-bench : GO_TEST_EXTRA_ARGS=-run=__nothing__ -bench=.
# test-verbose runs all Go tests in verbose mode.
test-verbose : GO_TEST_EXTRA_ARGS=-v
# test-race runs all Go tests in race-detection mode.
test-race : GO_TEST_EXTRA_ARGS=-race

# test runs the Go tests with GO_TEST_EXTRA_ARGS in all specified packages,
# given by the PKGS variable.
#
# For example, a caller can invoke the race-detection tests in just the config
# package by running:
#
# 		make PKGS=config test-race
#
# Or in a series of packages, like:
#
# 		make PKGS="config lfsapi tools/kv" test-race
#
# And so on.
test : fmt
	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS))

# integration is a shorthand for running 'make' in the 't' directory.
.PHONY : integration
integration : bin/git-lfs$(X)
	make -C t test

# glide.lock is the permanent record of the glide.yaml file, and it is built by
# running 'glide update'.
glide.lock : glide.yaml
	$(GLIDE) update

# vendor updates the glide.lock-file, and installs vendored dependencies into
# the vendor/ sub-tree, removing sub-packages (listed below) that are unused by
# Git LFS.
.PHONY : vendor
vendor : glide.lock
	$(GLIDE) install
	$(RM) -r vendor/github.com/ThomsonReutersEikon/go-ntlm/utils
	$(RM) -r vendor/github.com/davecgh/go-spew
	$(RM) -r vendor/github.com/pmezard/go-difflib

# fmt runs goimports over all files in Git LFS (as defined by $(SOURCES) above),
# and replaces their contents with a formatted one in-place.
#
# If $(GOIMPORTS) does not exist, or isn't otherwise executable, this recipe
# still performs the linting sequence, but gracefully skips over running a
# non-existent command.
.PHONY : fmt
ifeq ($(shell test -x "`which $(GOIMPORTS)`"; echo $$?),0)
fmt : $(SOURCES) | lint
	$(GOIMPORTS) $(GOIMPORTS_EXTRA_OPTS) $?;
else
fmt : $(SOURCES) | lint
	@echo "git-lfs: skipping fmt, no goimports found at \`$(GOIMPORTS)\` ..."
endif

# lint ensures that there are all dependencies outside of the standard library
# are vendored in via vendor (see: above).
.PHONY : lint
lint : $(SOURCES)
	$(GO) list -f '{{ join .Deps "\n" }}' . \
	| $(XARGS) $(GO) list -f '{{ if not .Standard }}{{ .ImportPath }}{{ end }}' \
	| $(GREP) -v "github.com/git-lfs/git-lfs" || exit 0

# MAN_ROFF_TARGETS is a list of all ROFF-style targets in the man pages.
MAN_ROFF_TARGETS = man/git-lfs-checkout.1 \
  man/git-lfs-clean.1 \
  man/git-lfs-clone.1 \
  man/git-lfs-config.5 \
  man/git-lfs-env.1 \
  man/git-lfs-ext.1 \
  man/git-lfs-fetch.1 \
  man/git-lfs-filter-process.1 \

## git-lfs 2.2.1

=== debian/changelog ===
git-lfs (2.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #792075)

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 03 Jul 2017 04:03:41 +0000

=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Stephen Gelman <ssgelm@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               git (>= 1.8.0),
               golang-go (>= 1.3.0),
               ruby-ronn,
               golang-github-kr-pty-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-rubyist-tracerx-dev,
               golang-github-bgentry-go-netrc-dev,
               golang-github-olekukonko-ts-dev,
               golang-github-thomsonreuterseikon-go-ntlm-dev,
               golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
Standards-Version: 4.0.0
Homepage: https://git-lfs.github.com/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
XS-Go-Import-Path: github.com/git-lfs/git-lfs

Package: git-lfs
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.

## git-lfs 2.3.4

=== debian/changelog ===
git-lfs (2.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 26 Nov 2017 07:58:08 +0000

git-lfs (2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 10 Oct 2017 01:45:05 +0000

git-lfs (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.1.1

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 05 Oct 2017 04:15:23 +0000

git-lfs (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.1.0

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 28 Sep 2017 03:28:09 +0000

git-lfs (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 15 Sep 2017 01:10:14 +0000

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
-               golang-github-rubyist-tracerx-dev,
+               golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
                golang-github-bgentry-go-netrc-dev,
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
export DH_GOLANG_EXCLUDES := test vendor
export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas
export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	rm -rf man
	dh_clean

override_dh_auto_build:
	dh_auto_build
	rm $(BUILD_DIR)/bin/script
	rm $(BUILD_DIR)/bin/man
	rm $(BUILD_DIR)/bin/genmakefile
	./script/man

override_dh_auto_install:
	dh_auto_install -- --no-source

## git-lfs 2.4.0

=== debian/changelog ===
git-lfs (2.4.0-3) unstable; urgency=medium

  * Change build dependency from golang-go to golang-any for wider port
    support

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 05 Mar 2018 01:21:07 +0000

git-lfs (2.4.0-2) unstable; urgency=medium

  * Set minimum required go version to 1.7 as upstream requires it for
    net/http/httptrace

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Mar 2018 21:49:48 +0000

git-lfs (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Mar 2018 03:44:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
-               golang-go (>= 1.3.0),
+               golang-any (>= 2:1.7.0),
                ruby-ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
@@ -16,11 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-Standards-Version: 4.1.1
+               golang-github-git-lfs-wildmatch-dev,
+Standards-Version: 4.1.3
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
+Testsuite: autopkgtest-pkg-go
 
 Package: git-lfs
 Architecture: any

## git-lfs 2.5.0

=== debian/changelog ===
git-lfs (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 27 Jul 2018 05:29:28 +0000

git-lfs (2.4.2-2) unstable; urgency=medium

  * Change dependency from ruby-ronn to ronn to match ronn package changes
    (Closes: #903058)
  * Fix built-in help commands to work properly (Closes: #901963)

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 06 Jul 2018 06:43:15 +0000

git-lfs (2.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 29 May 2018 05:30:45 +0000

git-lfs (2.4.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Stephen Gelman ]
  * New upstream release
  * Update golang-any build-dependency to require go 1.8.
  * Bump standards version to 4.1.4

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 22 May 2018 21:17:26 +0000

## git-lfs 2.5.2

=== debian/changelog ===
git-lfs (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 17 Sep 2018 20:51:39 +0000

git-lfs (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 02 Aug 2018 20:27:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
-               golang-any (>= 2:1.7.0),
-               ruby-ronn,
+               golang-any (>= 2:1.8~),
+               ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -16,11 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev,
-Standards-Version: 4.1.3
+               golang-github-git-lfs-wildmatch-dev (>= 0.0~git20180706.b31c344),
+               golang-github-git-lfs-go-netrc-dev,
+               golang-github-git-lfs-gitobj-dev,
+Standards-Version: 4.1.5
 Homepage: https://git-lfs.github.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
+Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
export DH_GOLANG_EXCLUDES := test vendor
export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	rm -rf man
	dh_clean

override_dh_auto_build:
	cd ${BUILD_DIR}/src/github.com/git-lfs/git-lfs && go generate ./commands
	dh_auto_build
	rm $(BUILD_DIR)/bin/script
	rm $(BUILD_DIR)/bin/man
	rm $(BUILD_DIR)/bin/cmd
	mkdir man
	rm -rf man/*.ronn
	rm -rf man/*.txt
	cp docs/man/*.ronn man
	cp docs/man/*.txt man
	ronn man/*.ronn
	rm -rf man/*.ronn
	rm -rf man/*.txt

override_dh_auto_install:
	dh_auto_install -- --no-source

## git-lfs 2.6.0

=== Makefile ===
--- 
+++ 
@@ -40,9 +40,6 @@
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
-# GLIDE is the name of the 'glide' binary used to manage vendored dependencies.
-GLIDE ?= glide
-
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
@@ -63,6 +60,9 @@
 # program.
 GOIMPORTS_EXTRA_OPTS ?= -w -l
 
+TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
+TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
 SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
@@ -80,6 +80,7 @@
 PKGS =
 PKGS += commands
 PKGS += config
+PKGS += creds
 PKGS += errors
 PKGS += filepathfilter
 PKGS += fs
@@ -89,6 +90,7 @@
 PKGS += git
 PKGS += lfs
 PKGS += lfsapi
+PKGS += lfshttp
 PKGS += locking
 PKGS += subprocess
 PKGS += tasklog
@@ -135,10 +137,27 @@
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
 # built for.
-BUILD_TARGETS = bin/git-lfs-darwin-amd64 bin/git-lfs-darwin-386 \
-	bin/git-lfs-linux-amd64 bin/git-lfs-linux-386 \
-	bin/git-lfs-freebsd-amd64 bin/git-lfs-freebsd-386 \
-	bin/git-lfs-windows-amd64.exe bin/git-lfs-windows-386.exe
+BUILD_TARGETS = \
+	bin/git-lfs-darwin-amd64 \
+	bin/git-lfs-darwin-386 \
+	bin/git-lfs-linux-arm64 \
+	bin/git-lfs-linux-amd64 \
+	bin/git-lfs-linux-386 \
+	bin/git-lfs-freebsd-amd64 \
+	bin/git-lfs-freebsd-386 \
+	bin/git-lfs-windows-amd64.exe \
+	bin/git-lfs-windows-386.exe
+
+# mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
+# up-to-date with the contents of docs/man/*.ronn.
+.PHONY : mangen
+mangen : commands/mancontent_gen.go
+
+# commands/mancontent_gen.go is generated by running 'go generate' on package
+# 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
+# and converts those manpages into code.
+commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
+	$(GO) generate github.com/git-lfs/git-lfs/commands
 
 # Targets 'all' and 'build' build binaries of Git LFS for the above release
 # matrix.
@@ -153,21 +172,23 @@
 #
 # On Windows, they also depend on the resource.syso target, which installs and
 # embeds the versioninfo into the binary.
-bin/git-lfs-darwin-amd64 : $(SOURCES)
+bin/git-lfs-darwin-amd64 : $(SOURCES) mangen
 	$(call BUILD,darwin,amd64,-darwin-amd64)
-bin/git-lfs-darwin-386 : $(SOURCES)
+bin/git-lfs-darwin-386 : $(SOURCES) mangen
 	$(call BUILD,darwin,386,-darwin-386)
-bin/git-lfs-linux-amd64 : $(SOURCES)
+bin/git-lfs-linux-arm64 : $(SOURCES) mangen
+	$(call BUILD,linux,arm64,-linux-arm64)
+bin/git-lfs-linux-amd64 : $(SOURCES) mangen
 	$(call BUILD,linux,amd64,-linux-amd64)
-bin/git-lfs-linux-386 : $(SOURCES)
+bin/git-lfs-linux-386 : $(SOURCES) mangen
 	$(call BUILD,linux,386,-linux-386)
-bin/git-lfs-freebsd-amd64 : $(SOURCES)
+bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen
 	$(call BUILD,freebsd,amd64,-freebsd-amd64)
-bin/git-lfs-freebsd-386 : $(SOURCES)
+bin/git-lfs-freebsd-386 : $(SOURCES) mangen
 	$(call BUILD,freebsd,386,-freebsd-386)
-bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES)
+bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen
 	$(call BUILD,windows,amd64,-windows-amd64.exe)
-bin/git-lfs-windows-386.exe : resource.syso $(SOURCES)
+bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen
 	$(call BUILD,windows,386,-windows-386.exe)
 
 # .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
@@ -176,19 +197,24 @@
 
 # bin/git-lfs targets the default output of Git LFS on non-Windows operating
 # systems, and respects the build knobs as above.
-bin/git-lfs : $(SOURCES) fmt
+bin/git-lfs : $(SOURCES) fmt mangen
 	$(call BUILD,$(GOOS),$(GOARCH),)
 
 # bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
 # respects the build knobs as above.
-bin/git-lfs.exe : $(SOURCES) resource.syso
+bin/git-lfs.exe : $(SOURCES) resource.syso mangen
 	$(call BUILD,$(GOOS),$(GOARCH),.exe)
 
 # resource.syso installs the 'goversioninfo' command and uses it in order to
 # generate a binary that has information included necessary to create the
 # Windows installer.
-resource.syso:
-	@$(GO) get github.com/josephspurrier/goversioninfo/cmd/goversioninfo
+#
+# Generating a new resource.syso is a pure function of the contents in the
+# prerequisites listed below.
+resource.syso : \
+versioninfo.json script/windows-installer/git-lfs-logo.bmp \
+script/windows-installer/git-lfs-logo.ico \
+script/windows-installer/git-lfs-wizard-image.bmp
 	$(GO) generate
 
 # RELEASE_TARGETS is the set of all release artifacts that we generate over a
@@ -206,14 +232,17 @@
 # To build a specific release with a custom VERSION suffix, run the following:
 #
 # 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
-RELEASE_TARGETS = bin/releases/git-lfs-darwin-amd64-$(VERSION).tar.gz \
+RELEASE_TARGETS = \
+	bin/releases/git-lfs-darwin-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-darwin-386-$(VERSION).tar.gz \
+	bin/releases/git-lfs-linux-arm64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
 	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
 	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-windows-386-$(VERSION).zip
+	bin/releases/git-lfs-windows-386-$(VERSION).zip \
+	bin/releases/git-lfs-$(VERSION).tar.gz
 
 # RELEASE_INCLUDES are the names of additional files that are added to each
 # release artifact.
@@ -236,7 +265,7 @@
 bin/releases/git-lfs-%-$(VERSION).tar.gz : \
 $(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
 	@mkdir -p bin/releases
-	tar -s '!bin/git-lfs-.*!git-lfs!' -s '!script/!!' -czf $@ $^
+	tar $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!bin/git-lfs-.*!git-lfs!' $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!script/!!' -czf $@ $^
 
 # bin/releases/git-lfs-%-$(VERSION).zip generates a ZIP compression of all of
 # the Windows release artifacts.
@@ -246,6 +275,13 @@
 bin/releases/git-lfs-%-$(VERSION).zip : $(RELEASE_INCLUDES) bin/git-lfs-%.exe
 	@mkdir -p bin/releases
 	zip -j -l $@ $^
+
+# bin/releases/git-lfs-$(VERSION).tar.gz generates a tarball of the source code.
+#
+# This is useful for third parties who wish to have a bit-for-bit identical
+# source archive to download and verify cryptographically.
+bin/releases/git-lfs-$(VERSION).tar.gz :
+	git archive -o $@ --prefix=git-lfs-$(patsubst v%,%,$(VERSION))/ --format tar.gz $(VERSION)
 
 # TEST_TARGETS is a list of all phony test targets. Each one of them corresponds
 # to a specific kind or subset of tests to run.
@@ -274,57 +310,16 @@
 #
 # And so on.
 test : fmt
-	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS))
+	(unset GIT_DIR; unset GIT_WORK_TREE; \
+	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS)))
 
 # integration is a shorthand for running 'make' in the 't' directory.
 .PHONY : integration
 integration : bin/git-lfs$(X)
 	make -C t test
 
-# glide.lock is the permanent record of the glide.yaml file, and it is built by
-# running 'glide update'.
-glide.lock : glide.yaml
-	$(GLIDE) update
-
-# vendor updates the glide.lock-file, and installs vendored dependencies into
-# the vendor/ sub-tree, removing sub-packages (listed below) that are unused by
-# Git LFS.
-.PHONY : vendor
-vendor : glide.lock
-	$(GLIDE) install
-	$(RM) -r vendor/github.com/ThomsonReutersEikon/go-ntlm/utils
-	$(RM) -r vendor/github.com/davecgh/go-spew
-	$(RM) -r vendor/github.com/pmezard/go-difflib
-
-# fmt runs goimports over all files in Git LFS (as defined by $(SOURCES) above),
-# and replaces their contents with a formatted one in-place.
-#
-# If $(GOIMPORTS) does not exist, or isn't otherwise executable, this recipe
-# still performs the linting sequence, but gracefully skips over running a
-# non-existent command.
-.PHONY : fmt
-ifeq ($(shell test -x "`which $(GOIMPORTS)`"; echo $$?),0)
-fmt : $(SOURCES) | lint
-	$(GOIMPORTS) $(GOIMPORTS_EXTRA_OPTS) $?;
-else
-fmt : $(SOURCES) | lint
-	@echo "git-lfs: skipping fmt, no goimports found at \`$(GOIMPORTS)\` ..."
-endif
-
-# lint ensures that there are all dependencies outside of the standard library
-# are vendored in via vendor (see: above).
-.PHONY : lint
-lint : $(SOURCES)
-	$(GO) list -f '{{ join .Deps "\n" }}' . \
-	| $(XARGS) $(GO) list -f '{{ if not .Standard }}{{ .ImportPath }}{{ end }}' \
-	| $(GREP) -v "github.com/git-lfs/git-lfs" || exit 0
-
-# MAN_ROFF_TARGETS is a list of all ROFF-style targets in the man pages.
-MAN_ROFF_TARGETS = man/git-lfs-checkout.1 \
-  man/git-lfs-clean.1 \
-  man/git-lfs-clone.1 \
-  man/git-lfs-config.5 \
-  man/git-lfs-env.1 \
-  man/git-lfs-ext.1 \
-  man/git-lfs-fetch.1 \
-  man/git-lfs-filter-process.1 \
+# go.sum is a lockfile based on the contents of go.mod.
+go.sum : go.mod
+	$(GO) mod verify >/dev/null
+
+# vendor updates the go.sum-file, and installs vendored dependencies into

## git-lfs 2.6.1

=== debian/changelog ===
git-lfs (2.6.1-3) unstable; urgency=medium

  * Use DH_GOLANG_GO_GENERATE instead of running it separately (Closes:
    #918516)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 07 Jan 2019 21:40:31 -0600

git-lfs (2.6.1-2) unstable; urgency=medium

  * Move go cache from $HOME into build directory (Closes: #918516)
  * Bump standards version to 4.3.0

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 07 Jan 2019 19:30:31 -0600

git-lfs (2.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 03 Dec 2018 22:21:15 -0600

git-lfs (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.2.1
  * Add postinst/prerm to set up/remove git-lfs gitconfig

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 01 Nov 2018 18:29:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Stephen Gelman <ssgelm@gmail.com>
+Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
@@ -16,10 +16,10 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev (>= 0.0~git20180706.b31c344),
+               golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev,
-Standards-Version: 4.1.5
+               golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+Standards-Version: 4.3.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git

## git-lfs 2.7.1

=== debian/changelog ===
git-lfs (2.7.1-1~bpo9+2) stretch-backports; urgency=medium

  * Use backported dh-golang and disable GO111MODULE and GOCACHE to fix build
    errors

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 11 Mar 2019 01:04:15 -0500

git-lfs (2.7.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 10 Mar 2019 09:16:26 -0500

git-lfs (2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 26 Feb 2019 23:33:53 -0600

git-lfs (2.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 24 Feb 2019 10:48:52 -0600

git-lfs (2.6.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 08 Dec 2018 02:46:32 -0600

git-lfs (2.6.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Nov 2018 22:58:16 -0600

git-lfs (2.5.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 20 Sep 2018 09:17:55 -0500

git-lfs (2.5.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 12 Aug 2018 12:05:34 -0500

git-lfs (2.4.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 19 Jul 2018 01:17:35 -0500

git-lfs (2.4.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 07 Jun 2018 18:27:44 -0500

git-lfs (2.4.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #899048)
  * Update golang-any build-dependency to require go 1.8.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 20 May 2018 00:01:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
-               dh-golang,
+               dh-golang (>= 1.34~),
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
-               ronn,
+               ruby-ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -19,6 +19,8 @@
                golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
                golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+               golang-github-mattn-go-isatty-dev,
+               golang-golang-x-sync-dev,
 Standards-Version: 4.3.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
 export DH_GOLANG_EXCLUDES := test vendor
+export DH_GOLANG_GO_GENERATE := 1
 export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
 export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)
+export GO111MODULE := off
+export GOCACHE := off
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -15,7 +18,6 @@
 	dh_clean
 
 override_dh_auto_build:
-	cd ${BUILD_DIR}/src/github.com/git-lfs/git-lfs && go generate ./commands
 	dh_auto_build
 	rm $(BUILD_DIR)/bin/script
 	rm $(BUILD_DIR)/bin/man

## git-lfs 2.7.2

=== debian/changelog ===
git-lfs (2.7.2-2) unstable; urgency=medium

  * Reupload as source-only

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 08 Jul 2019 00:39:08 -0500

git-lfs (2.7.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.4.0

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 07 Jul 2019 17:38:47 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.34~),
+               dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
-               ruby-ronn,
+               ronn (>= 0.8.0-2~),
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -21,7 +21,7 @@
                golang-github-git-lfs-gitobj-dev (>= 1.0.0),
                golang-github-mattn-go-isatty-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git

## git-lfs 2.8.0

=== Makefile ===
--- 
+++ 
@@ -22,24 +22,31 @@
 # the config.GitCommit variable is always set via this variable, and
 # DWARF-stripping is enabled unless DWARF=YesPlease.
 BUILTIN_LD_FLAGS =
+ifneq ("$(VENDOR)","")
+BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
+endif
 BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
 ifneq ("$(DWARF)","YesPlease")
 BUILTIN_LD_FLAGS += -s
 BUILTIN_LD_FLAGS += -w
 endif
 # EXTRA_LD_FLAGS are given by the caller, and are passed to the Go linker after
-# BUILTIN_LD_FLAGS are processed.
-EXTRA_LD_FLAGS =
+# BUILTIN_LD_FLAGS are processed. By default the system LDFLAGS are passed.
+ifdef LDFLAGS
+EXTRA_LD_FLAGS ?= -extldflags ${LDFLAGS}
+endif
 # LD_FLAGS is the union of the above two BUILTIN_LD_FLAGS and EXTRA_LD_FLAGS.
 LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)
 
 # BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
-BUILTIN_GC_FLAGS =
+BUILTIN_GC_FLAGS ?= all=-trimpath="$$HOME"
 # EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
 EXTRA_GC_FLAGS =
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
+ASM_FLAGS ?= all=-trimpath="$$HOME"
+
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
@@ -48,8 +55,6 @@
 # GREP is the name of the program used for regular expression matching, or
 # 'grep' if unset.
 GREP ?= grep
-# RM is the name of the program used removing files, or 'rm -f' if unset.
-RM ?= rm -f
 # XARGS is the name of the program used to turn stdin into program arguments, or
 # 'xargs' if unset.
 XARGS ?= xargs
@@ -62,6 +67,10 @@
 
 TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
 TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+
+# CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
+# actual signature is made with SHA-256.
+CERT_SHA1 ?= 824455beeb23fe270e756ca04ec8e902d19c62aa
 
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
@@ -133,6 +142,7 @@
 	$(GO) build \
 	-ldflags="$(LD_FLAGS)" \
 	-gcflags="$(GC_FLAGS)" \
+	-asmflags="$(ASM_FLAGS)" \
 	-o ./bin/git-lfs$(3) $(BUILD_MAIN)
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
@@ -283,43 +293,23 @@
 bin/releases/git-lfs-$(VERSION).tar.gz :
 	git archive -o $@ --prefix=git-lfs-$(patsubst v%,%,$(VERSION))/ --format tar.gz $(VERSION)
 
-# TEST_TARGETS is a list of all phony test targets. Each one of them corresponds
-# to a specific kind or subset of tests to run.
-TEST_TARGETS := test-bench test-verbose test-race
-.PHONY : $(TEST_TARGETS) test
-$(TEST_TARGETS) : test
-
-# test-bench runs all Go benchmark tests, and nothing more.
-test-bench : GO_TEST_EXTRA_ARGS=-run=__nothing__ -bench=.
-# test-verbose runs all Go tests in verbose mode.
-test-verbose : GO_TEST_EXTRA_ARGS=-v
-# test-race runs all Go tests in race-detection mode.
-test-race : GO_TEST_EXTRA_ARGS=-race
-
-# test runs the Go tests with GO_TEST_EXTRA_ARGS in all specified packages,
-# given by the PKGS variable.
-#
-# For example, a caller can invoke the race-detection tests in just the config
-# package by running:
-#
-# 		make PKGS=config test-race
-#
-# Or in a series of packages, like:
-#
-# 		make PKGS="config lfsapi tools/kv" test-race
-#
-# And so on.
-test : fmt
-	(unset GIT_DIR; unset GIT_WORK_TREE; \
-	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS)))
-
-# integration is a shorthand for running 'make' in the 't' directory.
-.PHONY : integration
-integration : bin/git-lfs$(X)
-	make -C t test
-
-# go.sum is a lockfile based on the contents of go.mod.
-go.sum : go.mod
-	$(GO) mod verify >/dev/null
-
-# vendor updates the go.sum-file, and installs vendored dependencies into
+# release-linux is a target that builds Linux packages. It must be run on a
+# system with Docker that can run Linux containers.
+.PHONY : release-linux
+release-linux:
+	./docker/run_dockers.bsh
+
+# release-windows is a target that builds and signs Windows binaries.  It must
+# be run on a Windows machine under Git Bash.
+#
+# You may sign with a different certificate by specifying CERT_SHA1.
+.PHONY : release-windows
+release-windows: bin/releases/git-lfs-windows-assets-$(VERSION).tar.gz
+
+bin/releases/git-lfs-windows-assets-$(VERSION).tar.gz :
+	$(RM) git-lfs-windows-*.exe
+	@# Using these particular filenames is required for the Inno Setup script to
+	@# work properly.
+	$(MAKE) -B GOARCH=amd64 && cp ./bin/git-lfs.exe ./git-lfs-x64.exe
+	$(MAKE) -B GOARCH=386 && cp ./bin/git-lfs.exe ./git-lfs-x86.exe
+	signtool.exe sign /sha1 $(CERT_SHA1) /fd sha256 /tr http://timestamp.digicert.com /td sha256 /v git-lfs-x64.exe

=== debian/changelog ===
git-lfs (2.8.0-4) unstable; urgency=medium

  * Reupload as source-only

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 28 Sep 2019 19:12:04 -0500

git-lfs (2.8.0-3) unstable; urgency=medium

  * Update maintainer to use team tracker.debian.org address
  * Backport a fix from upstream that fixes FTBFS under Go 1.12.8
    (Closes: #940485)

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 28 Sep 2019 18:51:52 -0500

git-lfs (2.8.0-2) unstable; urgency=medium

  * Rebuild with go 1.12

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 13 Aug 2019 10:12:00 -0500

git-lfs (2.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update debhelper compat level to 12

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 24 Jul 2019 22:32:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
@@ -18,7 +18,7 @@
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
                golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+               golang-github-git-lfs-gitobj-dev (>= 1.3.1),
                golang-github-mattn-go-isatty-dev,
                golang-golang-x-sync-dev,
 Standards-Version: 4.4.0

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 export DH_GOLANG_GO_GENERATE := 1
 export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
 export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)
-export GO111MODULE := off
-export GOCACHE := off
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -31,5 +29,8 @@
 	rm -rf man/*.ronn
 	rm -rf man/*.txt
 
+override_dh_dwz:
+	# dwz doesn't currently work on go binaries
+
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## git-lfs 2.9.0

=== debian/changelog ===
git-lfs (2.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.4.1

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 22 Oct 2019 00:35:35 -0500

## git-lfs 2.9.1

=== debian/changelog ===
git-lfs (2.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Nov 2019 20:42:32 -0600

## git-lfs 2.9.2

=== debian/changelog ===
git-lfs (2.9.2-1ubuntu0.1~esm2) focal-security; urgency=medium

  * SECURITY UPDATE: Information leakage
    - debian/patches/CVE-2024-53263-1.patch: creds/creds.go: reject LF
      bytes in credential data
    - debian/patches/CVE-2024-53263-2.patch: creds/creds.go: reject CR
      bytes in credential data
    - CVE-2024-53263

 -- John Breton <john.breton@canonical.com>  Thu, 22 Jan 2026 14:34:55 -0500

git-lfs (2.9.2-1ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Information leakage
    - debian/patches/CVE-2024-53263-1.patch: creds/creds.go: reject LF
      bytes in credential data
    - debian/patches/CVE-2024-53263-2.patch: creds/creds.go: reject CR
      bytes in credential data
    - CVE-2024-53263

 -- John Breton <john.breton@canonical.com>  Thu, 22 Jan 2026 12:40:38 -0500

git-lfs (2.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 14 Dec 2019 12:09:44 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
                ronn (>= 0.8.0-2~),
-               golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
@@ -16,12 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
+               golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.3.1),
+               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
                golang-github-mattn-go-isatty-dev,
+               golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git

## git-lfs 2.10.0

=== debian/changelog ===
git-lfs (2.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.0

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 21 Jan 2020 17:00:15 -0600
